DEV: rake dependency was stuck on 10

DEV: rake dependency was stuck on 10

Update rake dependency in dev so it can run latest

diff --git a/mini_sql.gemspec b/mini_sql.gemspec
index 2af16b8..1c92b05 100644
--- a/mini_sql.gemspec
+++ b/mini_sql.gemspec
@@ -33,7 +33,7 @@ Gem::Specification.new do |spec|
   spec.require_paths = ["lib"]
 
   spec.add_development_dependency "bundler", "> 1.16"
-  spec.add_development_dependency "rake", "~> 10.0"
+  spec.add_development_dependency "rake", "> 10"
   spec.add_development_dependency "minitest", "~> 5.0"
   spec.add_development_dependency "guard", "~> 2.14"
   spec.add_development_dependency "guard-minitest", "~> 2.4"

GitHub sha: dfdb8685